package com.ssj.bean.sys.award.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_award_sncode")
public class AwardSncode extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	
	private String libId;
	
	private String snCode;
	
	private String snImg;
	
	private String awardActivityId;
	
	private String awardMaterialId;
	
	private Integer status;
	
	private Integer type;
	
	private String userId;
	
	private String vipId;

	private Date createTime;
	
	private Date updateTime;
	
	private Date drawTime;
	
	private Date closureTime;
	
	private String closureUser;
	

	public String getSnCode() {
		return snCode;
	}

	public void setSnCode(String snCode) {
		this.snCode = snCode;
	}

	public String getAwardActivityId() {
		return awardActivityId;
	}

	public void setAwardActivityId(String awardActivityId) {
		this.awardActivityId = awardActivityId;
	}

	public String getAwardMaterialId() {
		return awardMaterialId;
	}

	public void setAwardMaterialId(String awardMaterialId) {
		this.awardMaterialId = awardMaterialId;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getSnImg() {
		return snImg;
	}

	public void setSnImg(String snImg) {
		this.snImg = snImg;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Date getDrawTime() {
		return drawTime;
	}

	public void setDrawTime(Date drawTime) {
		this.drawTime = drawTime;
	}

	public Date getClosureTime() {
		return closureTime;
	}

	public void setClosureTime(Date closureTime) {
		this.closureTime = closureTime;
	}

	public String getClosureUser() {
		return closureUser;
	}

	public void setClosureUser(String closureUser) {
		this.closureUser = closureUser;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}


}
